Take the 2-minute tour ×
TeX - LaTeX Stack Exchange is a question and answer site for users of TeX, LaTeX, ConTeXt, and related typesetting systems. It's 100% free, no registration required.

I am really struggling to understand how the packages libertine-type1 and biolinum-type1 work now that libertine-legacy is depreciated. According to the new libertine.sty all options when using \usepackage{libertine} are directly passed to the new type1 packages.

But that's not accurate and I can't get it to work because options such as \libertineGlyph do not exist anymore in any sty file.

I would be grateful if someone could shed some light on this issue and explain to me how you get the new packages work in the same way as the old one does.

This question here is related.

share|improve this question
2  
package options are passed, to the (new libertine and biolinum) packages; this has nothing to do with the function (not option) \libertineGlyph which appeared in the libertine-legacy package. as was mentioned in the earlier question you link, libertine-legacy wasn't working and it turned out that the author was no longer interested. hence the simple libertine/biolinum-type1 fonts that only have a limited range of glyphs; the old author didn't help, so the new -type1 fonts just have standard type 1 glyphs in 'em. –  wasteofspace Oct 11 '12 at 16:33
    
@wasteofspace So in fact libertine-type1 is libertine with much less functionality? And how was libertine-legacy not working? I've been using it since it was released without any trouble. –  Jörg Oct 11 '12 at 20:24
    
@Jörg I've got thousands of documents with Libertine and I use things like \libertineGlyph. So I downloaded the libertine-legacy package, installed it in my TEXMFHOME tree (which was not that easy) and now let's forget about this mess. Advantage of open source software: we can do that. –  Keks Dose Oct 27 '12 at 8:17
    
@KeksDose as you said it was not really easy to install the font. As I am creating templates that used libertine-legacy for other people this will be a big mess when they update their distributions. –  Jörg Oct 27 '12 at 9:29
    
@Jörg So you need a precise Howto for your folks. Either you ask here about the Howto or on a German speaking list (I assume that your native language is German). –  Keks Dose Oct 29 '12 at 9:32
show 1 more comment

2 Answers

up vote 5 down vote accepted

For some reason the people behind the old libertine package decided a while back they didn't want to maintain the type1 versions any more. Libertine was split between libertineotf and libertine-legacy, the latter now has lost support altogether and has been replaced by libertine-type1 and biolinum-type1.

The good news is all the functionality from the old libertine package is still available in libertineotf. The bad news is you can't use it with pdflatex.

The new libertine package

The new libertine package now loads libertine-type1 and biolinum-type1 and passes all options to these packages. These packages to not provide any commands like \libertineGlyph. According to the documentation the following options are available:

oldstyle,osf    old-style figures
lining,nf       lining figures

proportional    varying-width figures
tabular         fixed-width figures

bold            \bfdefault is bold
semibold        \bfdefault is semibold

However, osf and nf do not work.

The libertineotf package.

If you are a XeLaTeX or a LuaLaTeX user, the libertineotf package provides the functionality available in the old package. Unfortunately it has some issues of its own.

Further reading

share|improve this answer
2  
What I don't understand is why they remove a good working package (libertine-legacy) even if it would not have been developed anymore, and replace it with a stripped down and almost useless version. It's not as if libertine-legacy was somehow broken... –  Jörg Oct 26 '12 at 18:43
    
@Jörg: It might seem strange to replace the package, but it does make sense to replace a package that is no longer being maintained by one that is. Also: you can still download libertine-legacy from CTAN. Some more instructions can be found here. –  Silex Oct 26 '12 at 18:58
3  
we removed -legacy from the main ctan tree because (we were told) there were serious problems with it, which the author said he wasn't interested in. (iirc, we were told there would be no support, when the package was first installed, but i at least had forgotten.) –  wasteofspace Oct 26 '12 at 19:48
1  
@Silex Aren't there dozens of packages on CTAN (and in MikTeX/TeXLive) distributions that are no longer maintained? –  Jörg Oct 27 '12 at 9:21
1  
@wasteofspace I have installed libertine-legacy but as I am occasionally creating templates for other people, and this was the only free Type1 font I know of that had proportional/monospaced lining/old style figures I used it heavily. Hence it is really frustrating that it has been removed. –  Jörg Oct 27 '12 at 9:22
show 2 more comments

The \libertineGlyph macro is in general nothing else than using \char with the additional setting of font encoding and shape. If you absoluetely need it, you can copy the command definition from libertine-legacy. Needs only the command \DeclareTextGlyphX and the additional definition files for the glyphs. However, you do not really need that command.

The "new" package libertine simplifies the loading of libertine-type1 and biolinum-type1 and provides compatibility for all those documents which used \usepackage{libertine}.

share|improve this answer
1  
I don't really see how a package can provide "compatibility for all those documents which used \usepackage{libertine}" when there are functions from the original package missing...anyway I will try and restore functionality as good as I can... –  Jörg Oct 27 '12 at 9:27
    
I do not know a lot of users who use the additional macros of libertine. And yes, that commands are all not defined. But that was not intended by the new package –  Herbert Oct 27 '12 at 10:46
add comment

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.